package net.woodyfolsom.msproj.sgf;

public class SGFValue<T> {
	public static final SGFValue<String> EMPTY = new SGFValue<String>("");

	private String text;
	private T value;

	public SGFValue(T value) {
		this.text = value.toString();
		this.value = value;
	}

	public boolean isEmpty() {
		return text.length() == 0;
	}

	public String getText() {
		return text;
	}

	public T getValue() {
		return value;
	}

	@Override
	public String toString() {
		return value.toString();
	}
}
